Service.Mode (Java SE 9 & JDK 9 )
Keywords: javax.xml.ws.Service.Mode class

Module java.xml.ws
Package javax.xml.ws

## Enum Service.Mode

- java.lang.Object
- - java.lang.Enum<Service.Mode>
  - - javax.xml.ws.Service.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<Service.Mode>`
  Enclosing class:
    Service

      public static enum Service.Mode
      extends Enum<Service.Mode>

  The orientation of a dynamic client or service. `MESSAGE` provides access to entire protocol message, `PAYLOAD` to protocol message payload only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MESSAGE` | Message mode.
    `PAYLOAD` | Payload mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Service.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Service.Mode[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE

          public static final Service.Mode MESSAGE

      Message mode.

    - #### PAYLOAD

          public static final Service.Mode PAYLOAD

      Payload mode.

  - ### Method Detail

    - #### values

          public static Service.Mode[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Service.Mode c : Service.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Service.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null